{
	"name": "table/external/odoo/product/product_lot-stock_parcel.json",
	"table_name": "stock_lot",
	"odoo_model": "stock.lot",
	"table_prefix": "prl",
	"record_type": ["stock_parcel"],
	"local_table": "product_lot",
	"local_record_type": "stock_parcel",
	"field": [
		{
			"info": "Next Activity Calendar Event",
			"field_name": "activity_calendar_event_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Next Activity Deadline",
			"field_name": "activity_date_deadline",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Activity Exception Decoration\nType of the exception activity on record.",
			"field_name": "activity_exception_decoration",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Icon\nIcon to indicate an exception activity.",
			"field_name": "activity_exception_icon",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Activities",
			"field_name": "activity_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Activity State\nStatus based on activities\nOverdue: Due date is already passed\nToday: Activity date is today\nPlanned: Future activities.",
			"field_name": "activity_state",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Next Activity Summary",
			"field_name": "activity_summary",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Activity Type Icon\nFont awesome icon e.g. fa-tasks",
			"field_name": "activity_type_icon",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Next Activity Type",
			"field_name": "activity_type_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Responsible User",
			"field_name": "activity_user_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Average Cost",
			"field_name": "avg_cost",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Valuation Currency",
			"field_name": "company_currency_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Company",
			"field_name": "company_id",
			"local_field": "json_data.firm_id",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Created on",
			"field_name": "create_date",
			"local_field": "create_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Created by",
			"field_name": "create_uid",
			"local_field": "json_data.create_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Delivery order count",
			"field_name": "delivery_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Transfers",
			"field_name": "delivery_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Display Complete",
			"field_name": "display_complete",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Display Name",
			"field_name": "display_name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Has Message",
			"field_name": "has_message",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "ID",
			"field_name": "id",
			"local_field": "product_lot_id",
			"local_field2": ["record_id"],
			"field_type": "integer",
			"constraint": ["primary key"]
		},
		{
			"info": "In repair count",
			"field_name": "in_repair_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Last Delivery Partner",
			"field_name": "last_delivery_partner_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Location",
			"field_name": "location_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Properties",
			"field_name": "lot_properties",
			"local_field": "",
			"field_type": "text",
			"type": "properties"
		},
		{
			"info": "Valuation by Lot/Serial number\nIf checked, the valuation will be specific by Lot/Serial number.",
			"field_name": "lot_valuated",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Attachment Count",
			"field_name": "message_attachment_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Followers",
			"field_name": "message_follower_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Message Delivery error\nIf checked, some messages have a delivery error.",
			"field_name": "message_has_error",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Number of errors\nNumber of messages with delivery error",
			"field_name": "message_has_error_counter",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "SMS Delivery error\nIf checked, some messages have a delivery error.",
			"field_name": "message_has_sms_error",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Messages",
			"field_name": "message_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Is Follower",
			"field_name": "message_is_follower",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Action Needed\nIf checked, new messages require your attention.",
			"field_name": "message_needaction",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Number of Actions\nNumber of messages requiring action",
			"field_name": "message_needaction_counter",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Followers (Partners)",
			"field_name": "message_partner_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "My Activity Deadline",
			"field_name": "my_activity_date_deadline",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Lot/Serial Number\nUnique Lot/Serial Number",
			"field_name": "name",
			"local_field": "serial_number",
			"field_type": "varchar"
		},
		{
			"info": "Description",
			"field_name": "note",
			"local_field": "info",
			"field_type": "text",
			"type": "html"
		},
		{
			"info": "Product",
			"field_name": "product_id",
			"local_field": "product_id",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Quantity",
			"field_name": "product_qty",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Unit of Measure\nDefault unit of measure used for all stock operations.",
			"field_name": "product_uom_id",
			"local_field": "unit",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Purchase order count",
			"field_name": "purchase_order_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Purchase Orders",
			"field_name": "purchase_order_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Quality Alert Qty",
			"field_name": "quality_alert_qty",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Quality Check Qty",
			"field_name": "quality_check_qty",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Quants",
			"field_name": "quant_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Quantity Svl",
			"field_name": "quantity_svl",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Ratings",
			"field_name": "rating_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Internal Reference\nInternal reference number in case it differs from the manufacturer's lot/serial number",
			"field_name": "ref",
			"local_field": "location",
			"field_type": "varchar"
		},
		{
			"info": "Repair Orders",
			"field_name": "repair_line_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Repair part count",
			"field_name": "repair_part_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Repaired count",
			"field_name": "repaired_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Sale order count",
			"field_name": "sale_order_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Sales Orders",
			"field_name": "sale_order_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Cost\nValue of the lot (automatically computed in AVCO).\n        Used to value the product when the purchase cost is not known (e.g. inventory adjustment).\n        Used to compute margins on sale orders.",
			"field_name": "standard_price",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Stock Valuation Layer",
			"field_name": "stock_valuation_layer_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Total Value",
			"field_name": "total_value",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Value Svl",
			"field_name": "value_svl",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Website Messages\nWebsite communication history",
			"field_name": "website_message_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Last Updated on",
			"field_name": "write_date",
			"local_field": "modify_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Last Updated by",
			"field_name": "write_uid",
			"local_field": "modify_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		}
	]
}
